class LazySingleton:
    _instance = None

    def __new__(cls):
        if cls._instance is None:
            cls._instance = super(LazySingleton, cls).__new__(cls)
        return cls._instance
    
if __name__ == "__main__":
    singleton1 = LazySingleton()
    singleton2 = LazySingleton()

    print(singleton1 is singleton2)
